<template>
	<view >
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true" >
			<block slot="backText">返回</block>
			<block slot="content">临时用电安全作业确认</block>
		</cu-custom>
		<scroll-view scroll-y="false" >
		<view class="form">
			<view class="wui-form-list">
				<view class="cu-form-group group-picker" >
					<view class="title">申请单位：</view>
					{{pd.APPLY_DEPARTMENT_NAME}}
				</view>

				<view class="cu-form-group group-picker" >
					<view class="title">申请人：</view>
					{{pd.APPLY_USER_NAME}}
				</view>

				<view class="cu-form-group">
					<view class="title">编号：</view>
					<input name="input" ref="CHECK_NO" :disabled="forbidEdit" v-model="pd.CHECK_NO" placeholder="请输入编号"></input>
				</view>

				<view class="cu-form-group ">
					<view class="title">作业开始时间</view>
					<ruiDatePicker v-if="!forbidEdit"
								   :start="todayDate"
								   fields="minute"
								   :value="pd.WORK_START_DATE?pd.WORK_START_DATE:''"
								   @change="changeStartDate"
					></ruiDatePicker>
					<view v-else>{{pd.WORK_START_DATE}}</view>
				</view>
				<view class="cu-form-group">
					<view class="title">作业结束时间</view>
					<ruiDatePicker v-if="!forbidEdit"
								   :start="todayDate"
								   fields="minute"
								   :value="pd.WORK_END_DATE?pd.WORK_END_DATE:''"
								   @change="changeEndDate"
					></ruiDatePicker>
					<view v-else>{{pd.WORK_END_DATE}}</view>
				</view>

				<view class="cu-form-group bb-default">
					<view class="title">作业地点：</view>
					<input name="input" ref="WORK_PLACE"  v-model="pd.WORK_PLACE" placeholder="请输入施工地点"></input>
				</view>

				<view class="cu-form-textarea">
					<view class="cu-form-title">作业内容：</view>
					<textarea maxlength="255"  v-model="pd.WORK_CONTENT" placeholder="请输入作业内容"></textarea>
				</view>

				<view class="cu-form-group" >
					<view class="title">电源接入点及许可用电功率：</view>
					<input name="input" ref="ALLOW_POWER"  v-model="pd.ALLOW_POWER" placeholder="请输入电源接入点及许可用电功率"></input>
				</view>

				<view class="cu-form-group">
					<view class="title">用电设备名称及额定功率：</view>
					<input name="input" ref="RATED_POWER"  v-model="pd.RATED_POWER" placeholder="请输入用电设备名称及额定功率"></input>
				</view>

				<view class="cu-form-group">
					<view class="title">工作电压：</view>
					<input name="input" ref="WORK_VOLTAGE"  v-model="pd.WORK_VOLTAGE" placeholder="请输入工作电压"></input>
				</view>

				<view class="cu-form-group" >
					<view class="title">作业人：</view>
					<input name="input" ref="WORK_USER"  v-model="pd.WORK_USER" placeholder="请输入作业人"></input>
				</view>

				<view class="cu-form-group" >
					<view class="title">电工证号：</view>
					<input name="input" ref="CARD_NO"  v-model="pd.CARD_NO" placeholder="请输入电工证号"></input>
				</view>

				<view class="cu-form-group bb-default" >
					<view class="title">监护人：</view>
					<input name="input" ref="GUARDIAN"  v-model="pd.GUARDIAN" placeholder="请输入监护人"></input>
				</view>

				<view class="cu-form-textarea" >
					<view class="cu-form-title">涉及的其他特殊作业：</view>
					<textarea maxlength="255"  v-model="pd.SPECIAL_WORK" placeholder="请输入涉及的其他特殊作业"></textarea>
				</view>

				<view class="cu-form-textarea" >
					<view class="cu-form-title">风险辨识结果：</view>
					<textarea maxlength="255"  v-model="pd.RISK_IDENTIFICATION" placeholder="请输入风险辨识结果"></textarea>
				</view>
			</view>

			<view class="wui-form-list" style="padding-top: 20upx;">
				<view class="wui-title" style="margin-left: 20upx;">
					<text class="text-semi">安全防护措施</text>
				</view>
				<view  class="wui-table" style="padding: 0 20upx;">
					<uni-table name='measuresList' border stripe emptyText="暂无更多数据" >
						<!-- 表头行 -->
						<uni-tr>
							<uni-th align="center" style="font-weight: bold;">主要安全措施</uni-th>
							<uni-th align="center" style="font-weight: bold;width: 100px">操作</uni-th>
						</uni-tr>
						<uni-tr v-for="(item,index) in measuresList" :key="item.BUS_ELECTRICITY_MEASURES_ID">
							<uni-td>{{item.PROTECTIVE_MEASURES}}</uni-td>
							<uni-td align="center">
								<radio-group class="wui-radio-group wui-radio-col">
									<view class="group" style="margin-bottom: 10px">
										<radio class='radio'  value="-1" :checked="item.STATUS=='-1'" @click="changeRadio(index,'-1')">
											<text class="wui-pl10">不合格</text></radio>
									</view>
									<view class="group" style="margin-bottom: 10px">
										<radio class='radio' value="1" :checked="item.STATUS=='1'" @click="changeRadio(index,'1')">
											<text class="wui-pl10">合&nbsp;&nbsp;&nbsp;&nbsp;格</text></radio>
									</view>
									<view class="group">
										<radio class='radio' value="2" :checked="item.STATUS=='2'" @click="changeRadio(index,'2')">
											<text class="wui-pl10">不涉及</text></radio>
									</view>
								</radio-group>
							</uni-td>
						</uni-tr>
					</uni-table>
				</view>
				<view class="cu-form-group" >
					<view class="title">补充措施：</view>
					<input name="input" ref="OTHER_PROTECTIVE_MEASURES" v-model="pd.OTHER_PROTECTIVE_MEASURES" placeholder="请输入其他防护措施"></input>
				</view>

				<view class="cu-form-group" >
					<view class="title">安全交底人：</view>
					<input name="input" ref="CONFESS_USER" v-model="pd.CONFESS_USER" placeholder="请输入安全交底人"></input>
				</view>

				<view class="cu-form-group" >
					<view class="title">接受交底人：</view>
					<input name="input" ref="ACCEPT_CONFESS_USER" v-model="pd.ACCEPT_CONFESS_USER" placeholder="请输入接受交底人"></input>
				</view>

				<view class="cu-form-group" >
					<view class="title">教育人：</view>
					<input name="input" ref="EDUCATE_USER" v-model="pd.EDUCATE_USER" placeholder="请输入教育人"></input>
				</view>

				<view class="cu-form-group" >
					<view class="title">接受教育人：</view>
					<input name="input" ref="ACCEPT_EDUCATE_USER" v-model="pd.ACCEPT_EDUCATE_USER" placeholder="请输入接受教育人"></input>
				</view>

<!--				<view class="cu-form-group" >-->
<!--					<view class="title">分析人</view>-->
<!--					{{pd.ANALYZE_USER_NAME}}-->
<!--				</view>-->
			</view>

			<view class="wui-form-list" >
				<view class="cu-form-group" >
					<view class="title">分析单位</view>
					<view class="picker-tree-box">
						<view class="picker-tree" @tap="showAnalyzeTree">{{pd.ANALYZE_DEPARTMENT_NAME?pd.ANALYZE_DEPARTMENT_NAME:'请选择'}}</view>
					</view>
					<tki-tree ref="tkiTree_analyze"
							  :selectParent=true
							  :range="treeNode"
							  rangeKey="name"
							  @confirm="analyzetreeConfirm"
							  @cancel="analyzetreeCancel"></tki-tree>
				</view>
				<view class="cu-form-group" >
					<view class="title">分析单位负责人</view>
					<picker @change="PickerAnalyze" :value="analyzeindex" :range="analyzeUserList" range-key="NAME" :disabled="analyzeUserList.length == 0" @click="isBlankList('analyze')">
						<view class="picker">
							{{pd.ANALYZE_USER_NAME?pd.ANALYZE_USER_NAME:'请选择'}}
						</view>
					</picker>
				</view>

				<view class="cu-form-group" >
					<view class="title">配送电单位</view>
					<view class="picker-tree-box">
						<view class="picker-tree" @tap="showAuditTree">{{pd.AUDIT_DEPARTMENT_NAME?pd.AUDIT_DEPARTMENT_NAME:'请选择'}}</view>
					</view>
					<tki-tree ref="tkiTree_audit"
							  :selectParent=true
							  :range="treeNode"
							  rangeKey="name"
							  @confirm="audittreeConfirm"
							  @cancel="audittreeCancel"></tki-tree>
				</view>
				<view class="cu-form-group" >
					<view class="title">配送电人</view>
					<picker @change="PickerAudit" :value="auditindex" :range="auditUserList" range-key="NAME" :disabled="auditUserList.length == 0" @click="isBlankList('audit')">
						<view class="picker">
							{{pd.AUDIT_USER_NAME?pd.AUDIT_USER_NAME:'请选择'}}
						</view>
					</picker>
				</view>

				<view class="cu-form-group" >
					<view class="title">审批单位</view>
					<view class="picker-tree-box">
						<view class="picker-tree" @tap="showApproveTree">{{pd.APPROVE_DEPARTMENT_NAME?pd.APPROVE_DEPARTMENT_NAME:'请选择'}}</view>
					</view>
					<tki-tree ref="tkiTree_approve"
							  :selectParent=true
							  :range="treeNode"
							  rangeKey="name"
							  @confirm="approvetreeConfirm"
							  @cancel="approvetreeCancel"></tki-tree>
				</view>
				<view class="cu-form-group" >
					<view class="title">审批人</view>
					<picker @change="PickerApprove" :value="approveindex" :range="approveUserList" range-key="NAME" :disabled="approveUserList.length == 0" @click="isBlankList('approve')">
						<view class="picker">
							{{pd.APPROVE_USER_NAME?pd.APPROVE_USER_NAME:'请选择'}}
						</view>
					</picker>
				</view>

				<view class="cu-form-group" >
					<view class="title">验收部门</view>
					<view class="picker-tree-box">
						<view class="picker-tree" @tap="showAcceptTree">{{pd.ACCEPT_DEPARTMENT_NAME?pd.ACCEPT_DEPARTMENT_NAME:'请选择'}}</view>
					</view>
					<tki-tree ref="tkiTree_accept"
							  :selectParent=true
							  :range="treeNode"
							  rangeKey="name"
							  @confirm="accepttreeConfirm"
							  @cancel="accepttreeCancel"></tki-tree>
				</view>
				<view class="cu-form-group" >
					<view class="title">验收部门负责人</view>
					<picker @change="PickerAccept" :value="acceptindex" :range="acceptUserList" range-key="NAME" :disabled="acceptUserList.length == 0" @click="isBlankList('accept')">
						<view class="picker">
							{{pd.ACCEPT_USER_NAME?pd.ACCEPT_USER_NAME:'请选择'}}
						</view>
					</picker>
				</view>
			</view>

			<view class="wui-form-list">
				<view class="cu-form-textarea" style="border-bottom: 1px dashed #eee;">
					<view class="cu-form-title">作业(地点)单位负责人意见</view>
					<textarea maxlength="255" v-model="pd.CONTENT" placeholder="请输入意见"></textarea>
				</view>
				<view class="wui-sign">
					<view class="title">作业(地点)单位负责人</view>
					<button class="cu-btn bg-green shadow" @tap="showModal" data-target="Modal">手写签字</button>
				</view>

				<view class="wui-sign-box"  v-show="imgList && imgList.length > 0">
					<view class="sign-title">
					      签字照片：
					    </view>
					<view class="wui-sign-cotent">
						<view class="sign-img" v-for="(item,index) in imgList" :key="index" @tap="ViewImage"  data-type="0" :data-url="imgList[index].filePath">
							<image :src="imgList[index].filePath" mode="aspectFit"></image>
						</view>
					</view>
				</view>
				<view class="cu-modal" :class="modalName=='Modal'?'show':''">
					<writing-board  @confirm="subCanvas" @cancel="hideModal"></writing-board>
				</view>
			</view>
		</view>
		<view class="cu-bar btn-group" style="margin-top: 30upx;">
			<button class="cu-btn bg-red margin-tb-sm lg" @click="$noMultipleClicks(goSubmit,'-2')">打 回</button>
			<button class="cu-btn bg-green margin-tb-sm lg" @click="$noMultipleClicks(goSubmit,'2')">通 过</button>
		</view>
		<view class="padding flex flex-direction">
		</view>
		</scroll-view>
	</view>
</template>

<script>
	import {
		basePath,corpinfoId,deptId,loginUser,formatDate,loginSession,baseImgPath
	} from '@/common/tool.js';
	import tkiTree from "@/components/select-tree/select-tree.vue"
	import writingBoard from "@/components/writing-board/writing-board.vue"
	import gcoord from '@/common/gcoord.js'
	import ruiDatePicker from '@/components/rattenking-dtpicker/rattenking-dtpicker.vue';
	export default {
		components: {
			tkiTree,ruiDatePicker,writingBoard
		},
		data() {
			return {
				baseImgPath:baseImgPath,
				isUps:false,
				forbidEdit:true,// 禁止修改
				msg:'add',
				noClick:true,
				treeNode:[],//部门下拉数据
				analyzeUserList:[],
				analyzeindex:-1,
				applyUserList:[],
				applyindex:-1,
				auditUserList:[],
				auditindex:-1,
				approveUserList:[],
				approveindex:-1,
				acceptUserList:[],
				acceptindex:-1,
				pd:{},// 数据
				measuresList:[],
				rules:[
					{name:'WORK_USER',message:'请输入作业人'},
					{name:'CARD_NO',message:'请输入电工证号'},
					{name:'GUARDIAN',message:'请输入监护人'},
					{name:'SPECIAL_WORK',message:'请输入涉及的其他特殊作业'},
					{name:'RISK_IDENTIFICATION',message:'请输入风险辨识结果'},
					// {name:'OTHER_PROTECTIVE_MEASURES',message:'请输入补充措施'},
					{name:'CONFESS_USER',message:'请输入安全交底人'},
					{name:'ACCEPT_CONFESS_USER',message:'请输入接受交底人'},
					{name:'EDUCATE_USER',message:'请输入教育人'},
					{name:'ACCEPT_EDUCATE_USER',message:'请输入接受教育人'},
					{name:'ANALYZE_USER_ID',message:'请选择分析单位负责人'},
					{name:'AUDIT_USER_ID',message:'请选择配送电单位负责人'},
					{name:'APPROVE_USER_ID',message:'请选择审批单位负责人'},
					{name:'ACCEPT_USER_ID',message:'请选择验收单位负责人'}
				],
				todayDate:'',
				modalName:null,
				imgList:[],
			}
		},
		onLoad(event){
			this.todayDate =  formatDate(new Date(), 'yyyy-MM-dd hh:mm');
			this.pd.ELECTRICITY_ID = event.ELECTRICITY_ID;
			if(this.pd.ELECTRICITY_ID){
				this.msg="edit";
				this.getData();
			}else {
				// 初始化作业负责人
				this.pd.APPLY_DEPARTMENT_ID = loginUser.DEPARTMENT_ID;
				this.pd.APPLY_DEPARTMENT_NAME = loginUser.DEPARTMENT_NAME;
				this.pd.APPLY_USER_ID = loginUser.USER_ID;
				this.pd.APPLY_USER_NAME = loginUser.NAME;
				this.forbidEdit = false;
			}
			// 初始化现场作业负责人
			this.getDept();
			loginSession();

		},
		methods: {
			getData() {
				var _this = this;
				uni.showLoading({
					title: '请稍候'
				})
				uni.request({
					url: basePath + '/app/electricity/goEdit',
					method: 'POST',
 					header: {
						'Content-type': 'application/x-www-form-urlencoded'
					},
					data: {
						ELECTRICITY_ID: _this.pd.ELECTRICITY_ID,
					},
					success: (res) => {
						if ("success" == res.data.result) {
							uni.hideLoading();
							_this.pd = res.data.pd; //参数map
							_this.measuresList = res.data.measuresList
							if(_this.pd.APPLY_STATUS < 1){
								_this.forbidEdit = false;
							}
						} else if ("exception" == data.result) {
							uni.showToast({
								title: '错误',
								duration: 2000
							});
						}
					}
				});
			},
			goSubmit(STATUS){
				var _this = this;
				let required = true
				uni.showLoading({
					title: '请稍候'
				})
				if(STATUS==2) {
					this.rules.map(({name,message})  => {
						if (!this.pd[name]) {
							uni.showToast({
								icon: 'none',
								title: message,
								duration: 1500
							});
							required = false
						}
					})
					if (!required) {
						return
					}
					if (_this.imgList.length <= 0) {
						uni.showToast({
							icon: 'none',
							title: '请签字',
							duration: 1500
						});
						return;
					}
				}
				const formData={}
				Object.keys(this.pd).map(key => {
					formData[key]=this.pd[key]
				})
				formData.CORPINFO_ID=corpinfoId
				formData.CREATOR=loginUser.USER_ID
				formData.OPERATOR=loginUser.USER_ID
				formData.ACTION_USER=loginUser.NAME
				formData.APPLY_STATUS=STATUS
				if(STATUS==2){
					formData.STATUS = STATUS
					for (let i = 0; i < this.measuresList.length; i++) {
						const measures = this.measuresList[i]
						if(!measures.STATUS){
							uni.showToast({
								icon: 'none',
								title: '第'+(i+1)+'项未勾选',
								duration: 1500
							});
							return;
						}
					}
					formData.measuresList = JSON.stringify(this.measuresList)
					uni.uploadFile({
						url: basePath+'app/electricity/editStatus',
						filePath: _this.imgList[0].filePath,
						name: 'FFILE',
						formData:formData,
						success: (res) => {
							uni.showToast({
								icon:'none',
								title: '保存成功',
								duration: 2000
							});
							_this.goback()
						},
						fail: (err) => {
							uni.hideLoading();
							uni.showModal({
								content: err.errMsg,
								showCancel: false
							});
						}
					})
				}else{
					formData.STATUS=STATUS
					uni.request({
						url: basePath + "app/electricity/editStatus",
						method: 'POST',
						dataType: 'json',
						header:{
							'Content-type':'application/x-www-form-urlencoded'
						},
						data: formData,
						success: (res) => {
							uni.showToast({
								icon:'none',
								title: '保存成功',
								duration: 2000
							});
							_this.goback()
						},
						fail: (err) => {
							uni.hideLoading();
							uni.showModal({
								content: err.errMsg,
								showCancel: false
							});
						}
					})
				}
			},
			getDept() {
				var _this = this;
				uni.request({
					url: basePath + '/app/sys/listTree',//部门下拉接口
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
						CORPINFO_ID : corpinfoId,
					},
					success: (res) => {
						if("success" == res.data.result){
							_this.treeNode=eval(res.data.zTreeNodes);
						} else {
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				});
			},
			//获取人员列表
			getUserList(dept,list,i){
				//发送 post 请求
				var _this=this
				uni.request({
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					url: basePath+'/app/sys/listUser',
					data: {DEPARTMENT_ID:dept,tm:new Date().getTime()},
					success: function(res){
						if("success" == res.data.result){
							if(i>-1) {
								_this[list][i] = [];
								_this[list][i] = res.data.userList;
								_this.$forceUpdate();//强制刷新
							}else{
								_this[list]=res.data.userList;
							}
						}else{
							uni.showToast({
								title: res.data.message,
								duration: 2000
							});
						}
					}
				})
			},

			/*
     *手写板
     */
			showModal(e) {
				this.modalName = e.currentTarget.dataset.target
			},
			hideModal(e) {
				this.modalName = null
			},
			//完成
			subCanvas(e) {
				this.imgList.splice(0,this.imgList.length);
				this.imgList.push(e);
				this.pd.SIGNER_TIME = formatDate(new Date(), 'yyyy-MM-dd hh:mm');
				this.hideModal()
			},
			ViewImage(e) {
				let files =[];
				files.push(e.currentTarget.dataset.url)
				uni.previewImage({
					urls: files,
					current: e.currentTarget.dataset.url
				});
			},
		/*
        *分析人
         */
			// 确定回调事件
			analyzetreeConfirm(e) {
				this.isUps=false;
				this.pd.ANALYZE_DEPARTMENT_ID=e[0].id;
				this.pd.ANALYZE_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'analyzeUserList');
			},
			// 取消回调事件
			analyzetreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showAnalyzeTree() {
				this.isUps=true
				this.$refs.tkiTree_analyze._show();
			},
			isBlankList(userType) {
				switch(userType) {
					case 'analyze':
						if(this.analyzeUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择分析单位',
								duration: 1500
							})
						}
						break
					case 'audit':
						if(this.auditUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择配送电单位',
								duration: 1500
							})
						}
						break
					case 'approve':
						if(this.approveUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择审批单位',
								duration: 1500
							})
						}
						break
					case 'monitor':
						if(this.monitorUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择动火前在岗部门',
								duration: 1500
							})
						}
						break
					case 'accept':
						if(this.acceptUserList.length == 0) {
							uni.showToast({
								icon: 'none',
								title: '请先选择验收部门',
								duration: 1500
							})
						}
						break
				}
			},
			PickerAnalyze(e) {
				this.analyzeindex = e.detail.value;
				this.pd.ANALYZE_USER_ID=this.analyzeUserList[this.analyzeindex].USER_ID;
				this.pd.ANALYZE_USER_NAME=this.analyzeUserList[this.analyzeindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*配送电人
		 	*/
			// 确定回调事件
			audittreeConfirm(e) {
				this.isUps=false;
				this.pd.AUDIT_DEPARTMENT_ID=e[0].id;
				this.pd.AUDIT_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'auditUserList');
			},
			// 取消回调事件
			audittreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showAuditTree() {
				this.isUps=true
				this.$refs.tkiTree_audit._show();
			},
			PickerAudit(e) {
				this.auditindex = e.detail.value;
				this.pd.AUDIT_USER_ID=this.auditUserList[this.auditindex].USER_ID;
				this.pd.AUDIT_USER_NAME=this.auditUserList[this.auditindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*审批人
		 	*/
			// 确定回调事件
			approvetreeConfirm(e) {
				this.isUps=false;
				this.pd.APPROVE_DEPARTMENT_ID=e[0].id;
				this.pd.APPROVE_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'approveUserList');
			},
			// 取消回调事件
			approvetreeCancel(e) {
				this.isUps=false;
			},
			// 显示树形选择器
			showApproveTree() {
				this.isUps=true
				this.$refs.tkiTree_approve._show();
			},
			PickerApprove(e) {
				this.approveindex = e.detail.value;
				this.pd.APPROVE_USER_ID=this.approveUserList[this.approveindex].USER_ID;
				this.pd.APPROVE_USER_NAME=this.approveUserList[this.approveindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			/*
			*验收部门
			*/
// 确定回调事件
			accepttreeConfirm(e) {
				this.isUps=false;
				this.pd.ACCEPT_DEPARTMENT_ID=e[0].id;
				this.pd.ACCEPT_DEPARTMENT_NAME=e[0].name;
				this.$forceUpdate();//强制刷新
				this.getUserList(e[0].id,'acceptUserList');
			},
// 取消回调事件
			accepttreeCancel(e) {
				this.isUps=false;
			},
// 显示树形选择器
			showAcceptTree() {
				this.isUps=true
				this.$refs.tkiTree_accept._show();
			},
			PickerAccept(e) {
				this.acceptindex = e.detail.value;
				this.pd.ACCEPT_USER_ID=this.acceptUserList[this.acceptindex].USER_ID;
				this.pd.ACCEPT_USER_NAME=this.acceptUserList[this.acceptindex].NAME;
				this.$forceUpdate();//强制刷新
			},

			changeRadio(i,value){
				this.measuresList[i].STATUS=value
			},

			changeStartDate(e) {
				this.pd.WORK_START_DATE = e
				this.$forceUpdate();//强制刷新
			},
			changeEndDate(e) {
				this.pd.WORK_END_DATE = e
				this.$forceUpdate();//强制刷新
			},

			goback(){
				var pages = getCurrentPages();	// 获取当前页面栈
				var prePage = pages[pages.length - 2];	// 上二级页面
				prePage.$vm.initflag = true;    // A 页面 init方法 为true
				uni.navigateBack({delta: 1});
				uni.hideLoading();
			},
			radioType(e){
				this.HASINSTRUCTOR = e.detail.value
			},
			goToEdit(){
				this.forbidEdit = false;
			}
		}
	}
</script>

<style>

</style>
